import 'dart:io';
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:image/image.dart';
import 'package:image_picker/image_picker.dart';
import 'package:path/path.dart';
import 'package:photoeditor/src/filters/preset_filters.dart';
import 'package:photoeditor/src/widgets/photo_filter.dart';
export 'package:photoeditor/src/filters/filters.dart';


class PhotoEditor {
  static Future<File> getImage({
    double maxHeight = 700,
    double maxWidth = 700,
    bool fromCamera = false,
    int quality = 75,
    String title = "Photo Editor",
    fit = BoxFit.contain,
    loader = const CircularProgressIndicator(
      strokeWidth: 2,
    ),
  }) async {
    File imageFile = await ImagePicker.pickImage(
        source: fromCamera ? ImageSource.camera : ImageSource.gallery,
        maxHeight: maxHeight,
        maxWidth: maxWidth,
        imageQuality: quality);
    String fileName = basename(imageFile.path);
    var image = decodeImage(imageFile.readAsBytesSync());

    File imagefile = await Get.to(
      PhotoFilterSelector(
        title: Text(title),
        image: image,
        filters: presetFiltersList,
        filename: fileName,
        loader: Center(child: loader),
        fit: fit,
      ),
    );
    return imagefile;
  }
}
